Bug 1006677 - (CVE-2013-4326) CVE-2013-4326 rtkit: insecure calling of polkit
CVE-2013-4326 rtkit: insecure calling of polkit
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130918,repo...
: Security
Depends On: 1005140 1007174 1007175 1009543
Blocks: 1002376
  Show dependency treegraph
 
Reported: 2013-09-11 01:42 EDT by Huzaifa S. Sidhpurwala
Modified: 2015-11-24 10:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-24 11:37:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rtkit patch (2.49 KB, patch)
2013-09-11 02:00 EDT, Huzaifa S. Sidhpurwala
no flags Details | Diff

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-09-11 01:42:03 EDT
Sebastian Krahmer reported a security issue was found in polkit (CVE-2013-4288
bz 1002375).

It was found that rtkit was vulnerable to this issue as well, since it
communicated to polkit authority using an unsafe DBUS interface. 

This issue has been assigned CVE-2013-4326
Comment 1 Huzaifa S. Sidhpurwala 2013-09-11 02:00:54 EDT
Created attachment 796255 [details]
rtkit patch
Comment 3 Vincent Danen 2013-09-18 11:15:27 EDT
This is now public:

http://www.openwall.com/lists/oss-security/2013/09/18/4
Comment 4 Vincent Danen 2013-09-18 11:27:36 EDT
Created rtkit tracking bugs for this issue:

Affects: fedora-all [bug 1009543]
Comment 6 errata-xmlrpc 2013-09-24 14:06:24 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1282 https://rhn.redhat.com/errata/RHSA-2013-1282.html

Note You need to log in before you can comment on or make changes to this bug.